# Messages

Send a message to one or many recipients. This API supports the same [channels](https://developers.sinch.com/docs/conversation/channel-support/) as Conversation API.

 - [POST /v1/projects/{project_id}/messages](https://developers.sinch.com/docs/conversation/api-reference/batch-api/batch/messages/batch_sendbatch.md): Send a message to multiple recipients. Parameter variables can be included in all string fields and customized with recipient specific values. Each recipient in the request will generate a message and
 - [DELETE /v1/projects/{project_id}/messages](https://developers.sinch.com/docs/conversation/api-reference/batch-api/batch/messages/batch_cancelbatch.md): Cancel one or more scheduled message batches by ID or by batch metadata. If using metadata, all batches matching the given key and value will be cancelled. To successfully cancel a batch, you must do
 - [GET /v1/projects/{project_id}/messages](https://developers.sinch.com/docs/conversation/api-reference/batch-api/batch/messages/batch_getbatchstatusesbymetadata.md): Retrive the status of batches that match the metadata provided.
 - [GET /v1/projects/{project_id}/messages/{batch_id}](https://developers.sinch.com/docs/conversation/api-reference/batch-api/batch/messages/batch_getbatchstatus.md): Retrieve the status of a batch of messages by its unique batch ID.
